%define upstream_name    Dist-Zilla-Plugin-CopyFilesFromBuild
%define upstream_version 0.161150

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Copy (or move) specific files after building (for SCM inclusion, etc.)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Dist::Zilla::Role::AfterBuild)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(List::Util) >= 1.330.0
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Has::Sugar)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Set::Scalar)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(blib) >= 1.10.0
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This plugin will automatically copy the files that you specify in dist.ini
from the build directory into the distribution directoory. This is so you
can commit them to version control.

If you want to put a build-generated file in version control but you
_don't_ want it to _remain_ in the build dir, use 'move' instead of 'copy'.
When you use 'move', the _MANIFEST_ file will be updated if it exists, and
the moved files will be pruned from their former location.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.161.150-2.mga6
+ Revision: 1026188
- Rebuild for perl 5.22.2

* Thu Apr 28 2016 shlomif <shlomif> 0.161.150-1.mga6
+ Revision: 1007555
- update to 0.161150

* Fri Feb 19 2016 umeabot <umeabot> 0.151.680-2.mga6
+ Revision: 968150
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 0.151.680-1.mga6
+ Revision: 851387
- update to 0.151680

* Wed Oct 15 2014 umeabot <umeabot> 0.103.510-5.mga5
+ Revision: 749536
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.103.510-3.mga4
+ Revision: 510999
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.103.510-2.mga3
+ Revision: 366115
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 14 2011 jquelin <jquelin> 0.103.510-1.mga1
+ Revision: 71056
- imported package perl-Dist-Zilla-Plugin-CopyFilesFromBuild


* Mon Mar 14 2011 cpan2dist 0.103510-1mga
- initial mageia release, generated with cpan2dist
